Assign/unassign conversation
POST
/contact/{identifier}/conversation/assignee
const url = 'https://api.aelyst.ai/v1/contact/example/conversation/assignee';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"assignee":null}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.aelyst.ai/v1/contact/example/conversation/assignee \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "assignee": null }'Updates the assignee of a specific contact. You can unassign the contact by leaving the assignee value empty.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”identifier
required
string
Identifier of the contact that can either be a phone number, email or contact ID. Examples: id:123 , email:abdc@gmail.com , phone:+60121233112
Request Body
Section titled “Request Body”object
assignee
required
User ID or email of the assignee user. Provide null to unassign the contact.
string
Examples
{ "assignee": null}{ "assignee": 1}{ "assignee": "abc@gmail.com"}Responses
Section titled “Responses”Media typeapplication/json
object
contactId
ID of the contact on which the action was performed.
integer
Examplegenerated
{ "contactId": 1}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 400, "message": "Validation error."}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 401, "message": "UN_AUTHORIZED"}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 404, "message": "Contact not found"}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 429, "message": "Too Many Requests"}Headers
Section titled “Headers”Retry-After
number
Example
1Number of seconds until you can retry the request
X-RateLimit-Limit
number
Example
10Number of request allowed for this end point
X-RateLimit-Remaining
number
Example
5Number of request remaining for this end point
Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 449, "message": "Your request cannot be processed at the moment as it is currently in queue. Please try again in a few minutes."}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 500, "message": "Unexpected error occurred"}